:root {
    --text-color: rgb(220, 220, 220);
    --secondary-text-color: rgb(180, 180, 180);
    --inactive-text-color: rgb(120, 120, 120);
}

* {
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html,
body {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    background-color: black;
}

#banner {
    position: absolute;
    display: none;
    width: 100%;
    height: 100%;
    color: var(--text-color);
    background-color: black;
    font-size: 3rem;
    z-index: 1000;
}

#banner.visible {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

#title {
    text-align: center;
    color: var(--text-color);
    font-size: 3rem;
    margin: 10px;
    transition: font-size 1s ease-out;
}

#prayer-times {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    flex-grow: 1;
    gap: 20px;
    color: var(--text-color);
    background-color: black;
    padding: 0 20px;
}

.prayer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-grow: 1;
    align-self: stretch;
    color: var(--text-color);
    background-color: rgb(16, 16, 16);
    padding: 0 2rem;
    border: 2px solid rgb(32, 32, 32);
    border-radius: 10px;
    transition:
        color 1s ease-out,
        border 1s ease-out;
}

.prayer.passed {
    color: var(--inactive-text-color);
    border: 2px solid rgb(16, 16, 16);
}

.time-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.prayer-time {
    font-size: 2.5rem;
}

.prayer-time-remaining {
    color: var(--secondary-text-color);
    font-size: 1.5rem;
    transition: color 1s ease-out;
}

.prayer-time-remaining.passed {
    color: var(--inactive-text-color);
}

#method-footer {
    text-align: center;
    color: var(--text-color);
    font-size: 1.5rem;
    margin: 10px;
    transition: font-size 1s ease-out;
}
